#ifndef UART_H_
#define UART_H_

#include <string.h>
#include <stdio.h>
#include <stdarg.h>
#include "main.h"

#ifndef F_CPU
#warning "F_CPU not defined for UART! F_CPU is set to 8MHz"
#define F_CPU 8000000UL
#endif

// Init UART
void UART_Init(unsigned long int baudrate);
// Send string by UART
void UART_SendString(char* str);
// Send format string by UART
void UART_printf(const char *args, ...);

#endif /* UART_H_ */